org.springframework.context

## Interface EmbeddedValueResolverAware

All Superinterfaces:
  Aware

All Known Implementing Classes:
  DateTimeFormatAnnotationFormatterFactory, DefaultFormattingConversionService, FormattingConversionService, FormattingConversionServiceFactoryBean, JodaDateTimeFormatAnnotationFormatterFactory, NumberFormatAnnotationFormatterFactory, RequestMappingHandlerMapping, ScheduledAnnotationBeanPostProcessor

    public interface EmbeddedValueResolverAware
    extends Aware

Interface to be implemented by any object that wishes to be notified of a StringValueResolver for the resolution of embedded definition values.

This is an alternative to a full ConfigurableBeanFactory dependency via the ApplicationContextAware/BeanFactoryAware interfaces.

Since:
  3.0.3
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `ConfigurableBeanFactory.resolveEmbeddedValue(java.lang.String)`

### Method Summary

Methods
`void` `setEmbeddedValueResolver(StringValueResolver resolver)` Set the StringValueResolver to use for resolving embedded definition values.

### Method Detail

#### setEmbeddedValueResolver

    void setEmbeddedValueResolver(StringValueResolver resolver)

Set the StringValueResolver to use for resolving embedded definition values.